PerfectServe Practitioner

PerfectServe Synchrony is the communication and collaboration platform uniting physicians, nurses and other care team members across the continuum, facilitating communication-driven workflows to enable timely care team collaboration. WITH THE PERFECTSERVE PRACTITIONER APP, YOU CAN: Send a secure message to colleagues, including text messages, clinical photos, voice. messages and group messages. Receive automatic identification and connection to the colleague you need to reach at that particular moment in. time depending on the dynamic situational variables via dynamic intelligent routing. Securely call patients while protecting your caller ID privacy and overcoming caller ID. block. When you call a patient, your office number -- not your personal mobile number. appears as the caller ID. Easily capture charges at the point of care in just a couple of clicks to avoid lost charges and speed revenue. recognition. Instantly sign on or off call or change who is covering call. The changes take effect in. real time. Easily change how you are reached based on your predefined communication. preferences. Change your status for those situations when you cannot be contacted directly (e.g. in surgery, clinic, etc) with. just a click. All communications will be automatically routed to the right back-up colleague. View and manage patients assigned to your group and manage which provider is caring for each. Quickly and easily reassign patients to a different provider in your group so calls and. messages route appropriately when patient-centered routing is being utilized. Access 24/7/365 personal assistance from the PerfectServe Help Center. PLEASE READ BEFORE DOWNLOADING: To use this app, your organization must be a PerfectServe client. If you are unsure of your organization's status, please contact your IT department. To learn more about PerfectServe, call 866.844.5484. SIGN-IN INSTRUCTIONS: Upon initial sign-in, please use your provided PerfectServe username and password.
LicenseFree
File Size7.98 MB
Version5.5.1
Operating System iOS
System RequirementsCompatible with: iPad2Wifi, iPad23G, iPhone4S, iPadThirdGen, iPadThirdGen4G, iPhone5, iPodTouchFifthGen, iPadFourthGen, iPadFourthGen4G, iPadMini, iPadMini4G, iPhone5c, iPhone5s, iPadAir, iPadAirCellular, iPadMiniRetina, iPadMiniRetinaCellular, iPhone6, iPhone6Plus, iPadAir2, iPadAir2Cellular, iPadMini3, iPadMini3Cellular, iPodTouchSixthGen, iPhone6s, iPhone6sPlus, iPadMini4, iPadMini4Cellular, iPadPro, iPadProCellular, iPadPro97, iPadPro97Cellular, iPhoneSE, iPhone7, iPhone7Plus, iPad611, iPad612, iPad71, iPad72, iPad73, iPad74